curl --request GET \
--url https://api.zapier.com/v2/authentications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v2/authentications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v2/authentications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"next": null,
"prev": null
},
"meta": {
"count": 1,
"limit": 10,
"offset": 0
},
"data": [
{
"type": "authentication",
"id": "019487c8-6b2a-7c1e-9f3d-2a1b0c4d5e6f",
"app": "81f613aa-c98a-4383-a5fc-195e68647217",
"is_expired": false,
"title": "Google Sheets some.user@mycompany.example"
}
]
}{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Get Authentications
Fetch the available Authentications for the provided App. This will only return Authentications that are owned by the user and not those that are shared with them, since it’s not possible to create Zaps with Authentications you don’t own.
When using OAuth
This endpoint requires the connection:read OAuth scope.
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Query Parameters
A canonical App ID, as provided by the /apps endpoint.
Used for paginating results. Specifies the maximum number of items to return per page. If this value is not set, it defaults to 10.
Used for paginating results. Specifies the offset to use.
Response
Base Response definition to be used in other Response Serializers.
Be sure to include the data field after using this class
Was this page helpful?